org.apache.sysds.runtime.instructions.spark

## Class IndexingSPInstruction

- java.lang.Object
- - org.apache.sysds.runtime.instructions.Instruction
  - - org.apache.sysds.runtime.instructions.spark.SPInstruction
    - - org.apache.sysds.runtime.instructions.spark.ComputationSPInstruction
      - - org.apache.sysds.runtime.instructions.spark.UnarySPInstruction
        - - org.apache.sysds.runtime.instructions.spark.IndexingSPInstruction

All Implemented Interfaces:
  LineageTraceable

Direct Known Subclasses:
  FrameIndexingSPInstruction, MatrixIndexingSPInstruction

    public abstract class IndexingSPInstruction
    extends UnarySPInstruction

This class implements the matrix indexing functionality inside Spark.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.sysds.runtime.instructions.spark.SPInstruction

`SPInstruction.SPType`

### Nested classes/interfaces inherited from class org.apache.sysds.runtime.instructions.Instruction

`Instruction.IType`

### Field Summary

### Fields inherited from class org.apache.sysds.runtime.instructions.spark.ComputationSPInstruction

`input1, input2, input3, output`

### Fields inherited from class org.apache.sysds.runtime.instructions.Instruction

`DATATYPE_PREFIX, FEDERATED_INST_PREFIX, GPU_INST_PREFIX, INSTRUCTION_DELIM, LITERAL_PREFIX, OPERAND_DELIM, SP_INST_PREFIX, VALUETYPE_PREFIX`

### Method Summary

All Methods Static Methods Concrete Methods
`static IndexingSPInstruction` `parseInstruction(String str)`

### Methods inherited from class org.apache.sysds.runtime.instructions.spark.ComputationSPInstruction

`getLineageItem, getOutputVariableName`

### Methods inherited from class org.apache.sysds.runtime.instructions.spark.SPInstruction

`getGraphString, getSPInstructionType, getType, postprocessInstruction, preprocessInstruction, processInstruction, requiresLabelUpdate`

### Methods inherited from class org.apache.sysds.runtime.instructions.Instruction

`getBeginColumn, getBeginLine, getEndColumn, getEndLine, getExtendedOpcode, getFilename, getInstID, getInstructionString, getLineNum, getOpcode, getOperator, getPrivacyConstraint, printMe, setInstID, setLocation, setLocation, setLocation, setLocation, setPrivacyConstraint, setPrivacyConstraint, toString, updateInstructionThreadID`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.sysds.runtime.lineage.LineageTraceable

`getLineageItems, hasSingleLineage`

### Method Detail

#### parseInstruction

    public static IndexingSPInstruction parseInstruction(String str)